Bug 131379 - a11y: Style selector not available (Orca screen reader)
Summary: a11y: Style selector not available (Orca screen reader)
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.1.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2020-03-16 17:36 UTC by zywek
Modified: 2022-04-04 03:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Am I on the right track? (178.89 KB, image/png)
2021-07-29 16:15 UTC, Anton F
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zywek 2020-03-16 17:36:47 UTC
Description:
When i open a dialog, where i can insert a horizontal line, and modify the styles, Orca says nothing, but should say some attribute to insert where the focus is.

WHen pressing tab and shift tab, orca says a little part of attribute name, then stops saying.

I received informations, that it's a problem with emitting accessibility events on style selector dialog. It can be checked in accerciser, or another software, which making possibility to test accessibility in applications.

Steps to Reproduce:
1. OPen some document in libre office, then make a new line, and press f11
2. Press home to hear "Default style" or something about the default writing styles.
3. Press DOwn arrow

Actual Results:
Orca does not speak correctly the content of the style selector dialog

Expected Results:
Orca should say all informations about styles in the dialog.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
I'm using a last version of orca from gnome git lab on archlinux.
Comment 1 Buovjaga 2020-06-20 11:16:31 UTC
I can't get orca to work for me on Arch Linux, but at least NVDA on Windows speaks the style names. I don't know, if by "all informations about styles in the dialog" you meant something other than the style names.
Comment 2 Anton F 2021-07-29 16:15:46 UTC
Created attachment 173954 [details]
Am I on the right track?

Please look at the attachment. Am I on the right track? Are you talking about this menu?

Please clarify, did you mean reading the entire list or the fact that he did not read out individual selected points?

He does not read the entire list when opening it, but moving through the points with arrows or the mouse, he reads them.

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: cd2b5168e8ef1cb6e721bc5220421464ed723096
CPU threads: 2; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-21_14:56:23
Calc: threaded
Comment 3 Buovjaga 2021-07-29 16:25:09 UTC
(In reply to Anton F from comment #2)
> Created attachment 173954 [details]
> Am I on the right track?
> 
> Please look at the attachment. Am I on the right track? Are you talking
> about this menu?
> 
> Please clarify, did you mean reading the entire list or the fact that he did
> not read out individual selected points?
> 
> He does not read the entire list when opening it, but moving through the
> points with arrows or the mouse, he reads them.

Yes, that is the right UI element. Sounds like it is working OK for you.
Comment 4 Dieter 2021-07-30 14:13:27 UTC
Zywek, as the problem might be fixed, could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? If you don't want to change to a newer version please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/current.html ? You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build.
Comment 5 stragu 2021-09-04 09:09:08 UTC
I agree this needs more information.

I have tested with Orca 3.28.0-3ubuntu1, on Ubuntu 18.04, with:

Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

And Orca does read the names of the styles when going up and down the list in the sidebar. (Although it says the names twice)

I am not sure I understand the bug description regarding:
- "insert a horizontal line": should this be part of the steps to reproduce?
- "modify the styles": should that be part of the steps to reproduce?
- "when pressing tab and shift tab": in which part of the interface? Should this also be part of the steps to reproduce?
- "Orca should say all informations about styles": what other extra information apart from the name?
Comment 6 QA Administrators 2022-03-04 03:41:32 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2022-04-04 03:31:22 UTC
Dear zywek,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp